Skip to main content
GET
/
v1
/
contracts
/
{contractId}
/
signingUrl
Signing URL
curl --request GET \
  --url https://api.cadanapay.com/v1/contracts/{contractId}/signingUrl \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.cadanapay.com/v1/contracts/{contractId}/signingUrl"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.cadanapay.com/v1/contracts/{contractId}/signingUrl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "url": "https://app.cadanapay.com/sign-contract?token=abc123&redirectUrl=https%3A%2F%2Fwww.google.com",
  "signer": "business"
}
{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

contractId
string<uuid>
required

The unique identifier for the the contract

Query Parameters

redirectUrl
string<uri>

URL to redirect to after signing the contract

Example:

"https://www.google.com"

Response

get contract signing url response

url
string

Signing URL

Example:

"https://app.cadanapay.com/sign-contract?token=abc123&redirectUrl=https%3A%2F%2Fwww.google.com"

signer
enum<string>

The type of signer

Available options:
person,
business
Example:

"business"